# Description
The goal of this set up is to simply complete the game without straying too far from vanilla. It is based off of monsternomicon, with weapons from Huntardy's Valheim Additions, and some new exclusive items and foods.

# Click the image for a short video preview
[![Journey To Valhalla](https://img.youtube.com/vi/nzWcYK7BIyQ/0.jpg)](https://www.youtube.com/watch?v=nzWcYK7BIyQ)

# Features
 - The first 5 biomes are largely untouched. 1 or 2 enemies were added per biome, some friendly NPCs, and some new weapons
 - 2 New metals and 3 complete weapon sets for unfinished biomes
 - New foods and mats
 - Boss altars for Mistlands, Ashlands, and Deep North
 - 8 new armor sets each with special characteristics
 - Storm Wolves and Drakes that spawn during rain storms

# Installation
Mod Manager (Preferred)
 1. Install JTV and all dependencies
 2. Start the game. This will copy all config files to the correct place.
 3. Exit the game and re-start to reload the config changes.

Manual
 1. Download all dependencies first
 2. In your plugins folder, create a folder named 'DasSauerkraut-Terraheim. Place all the Terraheim files in there.
 3. Download JTV last and copy all files to the BepInEx folder
 4. Copy the files from BepInEx/plugins/jtv_configs to the BepInEx/config folder

# Incompatible Mods
 - Monsternomicon (same prefab names)
 - DoD Biomes (conflicts with Forgotten Biomes)
 - Custom Weapon Stats (conflicts with Weapon Customizer)
 - Recipe Customization (conflicts with Recipe Customizer)

## Information
For help requests, suggestions, bug reports, or to just follow the development, join the discord! https://discord.gg/vSEjCNF48K

For existing worlds you must place the altars and vegvisirs by installing this mod: https://valheim.thunderstore.io/package/JereKuusela/Upgrade_World/
Then run these commands:

- `place_locations clear SvartalfrQueenAltar_New`
- `start`
- `place_locations clear JotunnAltar`
- `start`
- `place_locations clear BlazingDamnedOneAltar`
- `start`
- `place_locations clear Vegvisir_SvartalfrQueen`
- `start`
- `place_locations clear Vegvisir_Jotunn`
- `start`
- `place_locations clear Vegvisir_BlazingDamnedOne`
- `start`


# Biomes
```
Meadows:
 - Add butterflies (MonsterLabZ)
 - Add Chickens (ChickenBoo)
```
```
Black Forest:
 - Add Ghost Warrior (MonsterLabZ)
 - Swedish Chef (JTV)
```
```
Swamp:
 - Add Molluscan (MonsterLabZ)
 - Add Rancid Remains
```
```
Mountains:
 - Add Obsidian Golem (MonsterLabZ)
```
```
Plains:
 - Add Berserker random spawns
 - Add New Fulings (MonsterLabZ)
 - Add Groozer (JTV)
```
```
Mistlands:
 - Dark Elves, Dark Elder, Dark Spiders, Darksquitos (Monsternomicon)
 - ThornWeaver (RRR)
 - Froot (JTV)
 - Makes ancient root destructable with new wood drop (HundardysValheimAdditions)
 - Heavymetal ore deposits (HundardysValheimAdditions)
 - Mother Darkspider miniboss (Monsternomicon)
 - The Mourning Queen boss and altar (HundardysValheimAdditions)
 - New crafting table: Dark Forge
```
```
Deep North:
 - Frozen Corpses, Frost Serpents, Boreal Spirits, Polar Lox, Silver Golem, Polar Fenring (Monsternomicon)
 - Dvergr NPC (Monsternomicon)
 - Frometal Ore deposits (HundardysValheimAdditions)
 - Makes iceberg destructable with new drop (HundardysValheimAdditions)
 - Frost Giant (MonsterLabZ)
 - Arctic Wolf (JTV)
 - Forgotten One miniboss (Monsternomicon)
 - Blood-thirsty Fenring miniboss (Monsternomicon)
 - Jotunn boss and altar (Monsternomicon)
 - New crafting table: Cold Forge
```
```
Ashlands:
 - Burned Bones, Elder Surtling, Ash Neck, Swollen Body, and Fire-breathing Drake (Monsternomicon)
 - Fire Golem (MonsterLabZ)
 - Damned One boss and Altar (HundardysValheimAdditions)
 - New Crafting Table: Thor's Forge
```
```
Ocean:
  - Add Kraken (Disabled) (MonsterLabZ)
 ```

# Armor
There are 8 new sets of armor.
```
 - Plate Armor: Mistlands
 - Dragon Slayer Armor: Mountains
 - Ashlands Armor: Ashlands
 - Barbarian Armor: Mistlands
 - Nomad Armor: Plains
 - Wanderer's Armor: Deep North
 - Serpent Armor: Deep North
 - Chaos Warrior Armor: Black Forest/Mountain/Mistlands/Ashlands
```
***Terraheim armor changes are disabled

# Known issues
 - None.

# Roadmap
 - Update the attacks/health/damage/drops of the Storm Enemies
 - Deep North enemies
 - Ashlands enemies
 - Mistlands enemies
 - Try to replace the NPCs (Dark Elves, Dvergrs)

# Change log
v0.3.9
 - Add RRR Dependencies back again


[Full Changlog](https://github.com/thedefside/journey_to_valhalla/blob/master/Changelog.txt)